Bug 1530227 - [abrt] dnfdragora-updater: __shutdown(): updater.py:104:__shutdown:AttributeError: 'Updater' object has no attribute '_Updater__backend'
Summary: [abrt] dnfdragora-updater: __shutdown(): updater.py:104:__shutdown:AttributeE...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9604d93b1fe87d5195070e42e1d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-02 10:17 UTC by haluk
Modified: 2018-03-26 19:42 UTC (History)
6 users (show)

Fixed In Version: dnfdragora-1.0.1-9.git20180108.b0e8a66.fc27 dnfdragora-1.0.1-9.git20180108.b0e8a66.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-12 01:52:45 UTC


Attachments (Terms of Use)
File: backtrace (789 bytes, text/plain)
2018-01-02 10:18 UTC, haluk
no flags Details
File: cgroup (289 bytes, text/plain)
2018-01-02 10:18 UTC, haluk
no flags Details
File: cpuinfo (1.28 KB, text/plain)
2018-01-02 10:18 UTC, haluk
no flags Details
File: environ (1.39 KB, text/plain)
2018-01-02 10:18 UTC, haluk
no flags Details
File: mountinfo (3.14 KB, text/plain)
2018-01-02 10:18 UTC, haluk
no flags Details
File: namespaces (129 bytes, text/plain)
2018-01-02 10:18 UTC, haluk
no flags Details
File: open_fds (891 bytes, text/plain)
2018-01-02 10:18 UTC, haluk
no flags Details

Description haluk 2018-01-02 10:17:56 UTC
Description of problem:
I don't know how It happened

after the os booted and I saw desktop, thıs problem message appeared on the right upper of screen so I wanted to report, hope It will help you

Version-Release number of selected component:
dnfdragora-updater-1.0.1-8.git20171229.24e4647.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        python3 /usr/bin/dnfdragora-updater
crash_function: __shutdown
exception_type: AttributeError
executable:     /usr/bin/dnfdragora-updater
kernel:         4.14.8-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
updater.py:104:__shutdown:AttributeError: 'Updater' object has no attribute '_Updater__backend'

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 236, in inner
    callback(self)
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 320, in __call__
    return self._action(icon, self)
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 414, in wrapper1
    return action(icon)
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 104, in __shutdown
    if self.__backend:
AttributeError: 'Updater' object has no attribute '_Updater__backend'

Local variables in innermost frame:
kwargs: (<pystray._gtk.Icon object at 0x7f0e071531d0>,)
self: <dnfdragora.updater.Updater object at 0x7f0e28de8f28>

Comment 1 haluk 2018-01-02 10:18:01 UTC
Created attachment 1375580 [details]
File: backtrace

Comment 2 haluk 2018-01-02 10:18:03 UTC
Created attachment 1375581 [details]
File: cgroup

Comment 3 haluk 2018-01-02 10:18:05 UTC
Created attachment 1375582 [details]
File: cpuinfo

Comment 4 haluk 2018-01-02 10:18:06 UTC
Created attachment 1375583 [details]
File: environ

Comment 5 haluk 2018-01-02 10:18:08 UTC
Created attachment 1375584 [details]
File: mountinfo

Comment 6 haluk 2018-01-02 10:18:10 UTC
Created attachment 1375585 [details]
File: namespaces

Comment 7 haluk 2018-01-02 10:18:11 UTC
Created attachment 1375586 [details]
File: open_fds

Comment 8 Fedora Update System 2018-01-09 10:49:12 UTC
dnfdragora-1.0.1-9.git20180108.b0e8a66.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ca49003128

Comment 9 Fedora Update System 2018-01-09 10:49:58 UTC
dnfdragora-1.0.1-9.git20180108.b0e8a66.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ff5c89f68a

Comment 10 Fedora Update System 2018-01-09 17:24:17 UTC
dnfdragora-1.0.1-9.git20180108.b0e8a66.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ff5c89f68a

Comment 11 Fedora Update System 2018-01-09 17:45:06 UTC
dnfdragora-1.0.1-9.git20180108.b0e8a66.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ca49003128

Comment 12 Fedora Update System 2018-01-12 01:52:45 UTC
dnfdragora-1.0.1-9.git20180108.b0e8a66.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-01-17 16:01:34 UTC
dnfdragora-1.0.1-9.git20180108.b0e8a66.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 justinacolmena 2018-03-26 19:42:15 UTC
Similar problem has been detected:

dnfdragora was hanging while checking for updates

reporter:       libreport-2.9.3
cmdline:        python3 /usr/bin/dnfdragora-updater
crash_function: __shutdown
exception_type: AttributeError
executable:     /usr/bin/dnfdragora-updater
kernel:         4.15.10-300.fc27.x86_64
package:        dnfdragora-updater-1.0.1-9.git20180108.b0e8a66.fc27
reason:         updater.py:104:__shutdown:AttributeError: 'Updater' object has no attribute '_Updater__backend'
runlevel:       N 5
type:           Python3
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.